Event (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Event

- java.lang.Object
- - org.apache.cassandra.transport.Event

- Direct Known Subclasses:
    Event.SchemaChange, Event.StatusChange, Event.TopologyChange

      public abstract class Event
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.SchemaChange`
    `static class` | `Event.StatusChange`
    `static class` | `Event.TopologyChange`
    `static class` | `Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Event.Type` | `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event` | `deserialize(io.netty.buffer.ByteBuf cb, int version)`
    `protected abstract int` | `eventSerializedSize(int version)`
    `void` | `serialize(io.netty.buffer.ByteBuf dest, int version)`
    `int` | `serializedSize(int version)`
    `protected abstract void` | `serializeEvent(io.netty.buffer.ByteBuf dest, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final Event.Type type

  - ### Method Detail

    - #### deserialize

          public static Event deserialize(io.netty.buffer.ByteBuf cb,
                          int version)

    - #### serialize

          public void serialize(io.netty.buffer.ByteBuf dest,
                       int version)

    - #### serializedSize

          public int serializedSize(int version)

    - #### serializeEvent

          protected abstract void serializeEvent(io.netty.buffer.ByteBuf dest,
                            int version)

    - #### eventSerializedSize

          protected abstract int eventSerializedSize(int version)

Copyright © 2014 The Apache Software Foundation